const EXPRESS = require('express');
const ROUTER = EXPRESS.Router();
const STOPS_DE_OSET_LIMIT = require('../service/gtfs-stops-de-oset-limit');
const UTILS=require('../utils');

//GET listing
ROUTER.get('/', async function(req, res, next) {
    try {
	res.json(await STOPS_DE_OSET_LIMIT.get(req.query.oset, req.query.limit));
    } catch (err) {
	console.error(`Error while getting data with oset and limit `, err.message);
	res.status(err.statusCode || 500).json(UTILS.MSGS.error);
    }
});

module.exports = ROUTER;
