DROP SCHEMA IF EXISTS :schema CASCADE;

CREATE SCHEMA IF NOT EXISTS :schema;
SET search_path to :schema, public;

DROP VIEW IF EXISTS :schema.vw_gtfs_stops_de_not_dhid CASCADE;
DROP VIEW IF EXISTS :schema.vw_gtfs_stops_de CASCADE;

DROP TABLE IF EXISTS :schema.tbl_gtfs_stops_de_not_dhid;
DROP TABLE IF EXISTS :schema.tbl_gtfs_stops_de;

CREATE OR REPLACE VIEW :schema.vw_gtfs_stops_de AS
SELECT * FROM gtfs.stops JOIN public.de_al2_w_kiss1 AS de ON ST_Intersects(gtfs.stops.the_geom, de.wkb_geometry) order by stop_id;

CREATE TABLE IF NOT EXISTS :schema.tbl_gtfs_stops_de AS SELECT stop_id,stop_name,stop_lat,stop_lon,the_geom FROM :schema.vw_gtfs_stops_de;

CREATE OR REPLACE VIEW :schema.vw_gtfs_stops_de_not_dhid AS
SELECT * FROM :schema.tbl_gtfs_stops_de WHERE stop_id NOT IN (SELECT stop_dhid FROM zhv.stops) AND stop_id NOT LIKE '%:%:%' ORDER BY stop_id;

CREATE TABLE IF NOT EXISTS :schema.tbl_gtfs_stops_de_not_dhid AS SELECT stop_id,stop_name,stop_lat,stop_lon,the_geom FROM :schema.vw_gtfs_stops_de_not_dhid;
