import React, { useState, useEffect } from 'react'
import {Link} from 'react-router-dom';

import '../style.css';
import {getStopsCountGtfsDeNotDhid, getStopsCountZhv, getStopsCountGtfs, getStopsCountGtfsDe} from '../utils/api';
export default function Home(){
    const [countStopsGtfs, setCountStopsGtfs] = useState('loading...');
    const [countStopsGtfsDe, setCountStopsGtfsDe] = useState('loading...');
    const [countStopsGtfsDeNotDhid, setCountStopsGtfsDeNotDhid] = useState('loading...');
    const [countStopsZhv, setCountStopsZhv] = useState('loading...');

    /*fetch countStopsGtfs in a JavaScript function*/
    const fetchGtfs = async () => {
	let count=await getStopsCountGtfs();
	if(count > -1){
	    setCountStopsGtfs((countStopsGtfs) => count);
	}
    };

    /*fetch countStopsGtfsDe in a JavaScript function*/
    const fetchGtfsDe = async () => {
	let count=await getStopsCountGtfsDe();
	if(count > -1){
	    setCountStopsGtfsDe((countStopsGtfsDe) => count);
	}
    };

    /*fetch countStopsGtfsDeNotDhid in a JavaScript function*/
    const fetchGtfsDeNotDhid = async () => {
	let count=await getStopsCountGtfsDeNotDhid();
	if(count > -1){
	    setCountStopsGtfsDeNotDhid((countStopsGtfsDeNotDhid) => count);
	}
    };

    /*fetch countStopsZhv in a JavaScript function*/
    const fetchZhv = async () => {
	let count=await getStopsCountZhv();
	if(count > -1){
	    setCountStopsZhv((countStopsZhv) => count);
	}
    };

    useEffect(() => {
	/*effect goes here*/
	fetchGtfs();
	fetchGtfsDe();
	fetchGtfsDeNotDhid();
	fetchZhv();
	/*use an empty dependency countStopsGtfs to ensure the hook is running only once*/
	/*TODO study dependency countStopsGtfs: https://reactjs.org/docs/hooks-effect.html*/
    }, []);

    return (
	<>
	    <h3>Zentrales Haltestellenverzeichnis (ZHV)</h3>
	    <p>Number of stops: {countStopsZhv}</p>
	    <h3>DELFI GTFS Feed</h3>
	    <p>Number of stops: {countStopsGtfs}</p>
	    <p>Number of stops inside DE: {countStopsGtfsDe}</p>
	    <p>Number of stops inside DE not compliant with the Global ID: {countStopsGtfsDeNotDhid}</p>
	    <h3>
	    <Link to="/stops-non-compliant">
		Browse through stops inside DE not compliant with the Global ID.
	    </Link>
	    </h3>
	    <h3>
	    <Link to="/stops-refined">
		Browse through stops inside DE refined to be compliant with the Global ID.
	    </Link>
	    </h3>
	</>
    );
}
