import axios from 'axios';

import config from './config';

/*
 *get stops-count-gtfs
 */
export async function getStopsCountGtfs(){
    //console.log('stops:getStopsCountGtfs() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('stops:getStopsCountGtfs() Done.');
    return count;
};

/*
 *get stops-count-gtfs-de
 */
export async function getStopsCountGtfsDe(){
    //console.log('stops:getStopsCountGtfsDe() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('stops:getStopsCountGtfsDe() Done.');
    return count;
};

/*
 *get stops-count-gtfs-de-not-dhid
 */
export async function getStopsCountGtfsDeNotDhid(){
    //console.log('stops:getStopsCountGtfsDeNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('stops:getStopsCountGtfsDeNotDhid() Done.');
    return count;
};

/*
 *get stops-count-zhv
 */
export async function getStopsCountZhv(){
    //console.log('stops:getStopsCountZhv() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-zhv`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('stops:getStopsCountZhv() Done.');
    return count;
};
